<?php

namespace App\Models;
use Auth;
use Tymon\JWTAuth\Contracts\JWTSubject;
use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;
//use Illuminate\Database\Eloquent\Model;

class JwtUser extends Authenticatable implements JWTSubject
{
    use Notifiable;
    protected $table ='admin';
    // 拒绝添加的字段
    protected $guarded = [];
    public $timestamps=false;

    public function getJWTIdentifier()
    {
        return $this->getKey();
    }

    public function getJWTCustomClaims()
    {
        return [];
    }
}
